Subject: [bug#66836] [Patch] gnu: Add tree-sitter-yaml.

From: Hilton Chain <[email-masked]>
Date: Sat, 18 Nov 2023 18:45:48 +0800

Hi Andrew,

On Sat, 18 Nov 2023 15:42:20 +0800,
Andrew Tropin wrote:
>
> > There seem to be formatting issue in your patch, making the last two lines
> > embedded into one: "--2.41.0".  You can have a look at it in [1].
> >
> > I think your changes can be shipped as a patch with Guix.  Maybe you can open a
> > PR to upstream as well? :)
>
> It seems that https://github.com/ikatyang/tree-sitter-yaml is
> unmaintained, that's probably why I didn't add this grammar earlier.
>
> So maybe forking and taking a maintainance is not a bad idea.

I have found the first tree-sitter commit causing the test failures, it's
0fb864c1a0a5a53a951e3bf830fdbdc5edac385d (v0.20.4-9-g0fb864c1), there's also
open issue for it[1].

And the tree-sitter-yaml repository actually has some relevant activity this
July[2].

Thanks
---
[1]:
Regression in YAML parsing with web-tree-sitter + tree-sitter-yaml
https://github.com/tree-sitter/tree-sitter/issues/2339

[2]:
https://github.com/ikatyang/tree-sitter-yaml/tree/feat/error-recovery